[package]
name = "router_core"
version = "0.1.0"
edition = "2021"

[lib]
name = "_router_core"
crate-type = ["cdylib", "rlib"]

[dependencies]
pyo3 = { workspace = true }
aho-corasick = "1.1"

[profile.release]
strip = "symbols"
lto = true
codegen-units = 1
